using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace Armor
{
    public class Mod
    {
        public static void Main()
        {

          CategoryBuilder.Create("HR", "Horror!!", ModAPI.LoadSprite("category.png"));
  //ben
  ModAPI.Register(
new Modification()
{
    OriginalItem = ModAPI.FindSpawnable("Human"),
    NameOverride = "Jason Voorhees (Part 2)",
    DescriptionOverride = "Jason Voorhees is a fictional character from the Friday the 13th series. He first appeared in Friday the 13th (1980) as the young son of camp cook-turned-killer Mrs. Voorhees, in which he was portrayed by Ari Lehman.",
    CategoryOverride = ModAPI.FindCategory("HR"),
    ThumbnailOverride = ModAPI.LoadSprite("thumb/jason1.png"),
    AfterSpawn = (Instance) =>
    {

        var skin = ModAPI.LoadTexture("ch/jason1.png");




        var person = Instance.GetComponent<PersonBehaviour>();


        person.SetBodyTextures(skin, null, null, 1);


        person.SetBruiseColor(100, 100, 100);
        person.SetSecondBruiseColor(154, 0, 7);
        person.SetThirdBruiseColor(207, 206, 120);
        person.SetRottenColour(202, 199, 104);
        person.SetBloodColour(108, 0, 4);
              foreach (var body in person.Limbs)
              {
                   body.BaseStrength *= 1f;
                   body.Health *= 2f;
                   body.BreakingThreshold *= 2f;
              }
           }
       }
   );
   //ben
   ModAPI.Register(
 new Modification()
 {
     OriginalItem = ModAPI.FindSpawnable("Human"),
     NameOverride = "Chucky",
     DescriptionOverride = "Charles Lee Chucky Ray is a fictional character and the main antagonist of the Child's Play slasher film franchise. Chucky is portrayed as a vicious serial killer who, as he bleeds out from a gunshot wound, transfers his soul into a Good Guy doll and continuously tries to transfer to a human body. The character has become one of the most recognizable horror icons and has been referenced numerous times in popular culture. In 1999, the Chucky character was nominated for the MTV Movie Award for Best Villain for the film Bride of Chucky.",
     CategoryOverride = ModAPI.FindCategory("HR"),
     ThumbnailOverride = ModAPI.LoadSprite("thumb/chuck.png"),
     AfterSpawn = (Instance) =>
     {

         var skin = ModAPI.LoadTexture("ch/chuck.png");




         var person = Instance.GetComponent<PersonBehaviour>();


         person.SetBodyTextures(skin, null, null, 1);


         person.SetBruiseColor(100, 100, 100);
         person.SetSecondBruiseColor(154, 0, 7);
         person.SetThirdBruiseColor(207, 206, 120);
         person.SetRottenColour(202, 199, 104);
         person.SetBloodColour(108, 0, 4);
               foreach (var body in person.Limbs)
               {
                    body.BaseStrength *= 1f;
                    body.Health *= 5f;
                    body.BreakingThreshold *= 2f;
                    body.transform.root.localScale *= 0.97f;
               }
            }
        }
    );
   //ben
   ModAPI.Register(
 new Modification()
 {
     OriginalItem = ModAPI.FindSpawnable("Human"),
     NameOverride = "Jason Voorhees (Part 3/4)",
     DescriptionOverride = "Jason Voorhees is a fictional character from the Friday the 13th series. He first appeared in Friday the 13th (1980) as the young son of camp cook-turned-killer Mrs. Voorhees, in which he was portrayed by Ari Lehman.",
     CategoryOverride = ModAPI.FindCategory("HR"),
     ThumbnailOverride = ModAPI.LoadSprite("thumb/jason2.png"),
     AfterSpawn = (Instance) =>
     {

         var skin = ModAPI.LoadTexture("ch/jason2.png");




         var person = Instance.GetComponent<PersonBehaviour>();


         person.SetBodyTextures(skin, null, null, 1);


         person.SetBruiseColor(100, 100, 100);
         person.SetSecondBruiseColor(154, 0, 7);
         person.SetThirdBruiseColor(207, 206, 120);
         person.SetRottenColour(202, 199, 104);
         person.SetBloodColour(108, 0, 4);
               foreach (var body in person.Limbs)
               {
                    body.BaseStrength *= 2f;
                    body.Health *= 3f;
                    body.BreakingThreshold *= 2f;
               }
            }
        }
    );
    //ben
    ModAPI.Register(
  new Modification()
  {
      OriginalItem = ModAPI.FindSpawnable("Human"),
      NameOverride = "Jason Voorhees (Part 5)",
      DescriptionOverride = "Jason Voorhees is a fictional character from the Friday the 13th series. He first appeared in Friday the 13th (1980) as the young son of camp cook-turned-killer Mrs. Voorhees, in which he was portrayed by Ari Lehman.",
      CategoryOverride = ModAPI.FindCategory("HR"),
      ThumbnailOverride = ModAPI.LoadSprite("thumb/jason3.png"),
      AfterSpawn = (Instance) =>
      {

          var skin = ModAPI.LoadTexture("ch/jason3.png");




          var person = Instance.GetComponent<PersonBehaviour>();


          person.SetBodyTextures(skin, null, null, 1);


          person.SetBruiseColor(100, 100, 100);
          person.SetSecondBruiseColor(154, 0, 7);
          person.SetThirdBruiseColor(207, 206, 120);
          person.SetRottenColour(202, 199, 104);
          person.SetBloodColour(108, 0, 4);
                foreach (var body in person.Limbs)
                {
                     body.BaseStrength *= 1f;
                     body.Health *= 1f;
                     body.BreakingThreshold *= 2f;
                }
             }
         }
     );
   //ben
   ModAPI.Register(
 new Modification()
 {
     OriginalItem = ModAPI.FindSpawnable("Human"),
     NameOverride = "Jason Voorhees (Part 6)",
     DescriptionOverride = "Jason Voorhees is a fictional character from the Friday the 13th series. He first appeared in Friday the 13th (1980) as the young son of camp cook-turned-killer Mrs. Voorhees, in which he was portrayed by Ari Lehman.",
     CategoryOverride = ModAPI.FindCategory("HR"),
     ThumbnailOverride = ModAPI.LoadSprite("thumb/jason4.png"),
     AfterSpawn = (Instance) =>
     {

         var skin = ModAPI.LoadTexture("ch/jason4.png");




         var person = Instance.GetComponent<PersonBehaviour>();


         person.SetBodyTextures(skin, null, null, 1);


         person.SetBruiseColor(100, 100, 100);
         person.SetSecondBruiseColor(154, 0, 7);
         person.SetThirdBruiseColor(207, 206, 120);
         person.SetRottenColour(202, 199, 104);
         person.SetBloodColour(108, 0, 4);
               foreach (var body in person.Limbs)
               {
                    body.BaseStrength *= 5f;
                    body.Health *= 4f;
                    body.BreakingThreshold *= 2f;
               }
            }
        }
    );
    //ben
    ModAPI.Register(
  new Modification()
  {
      OriginalItem = ModAPI.FindSpawnable("Human"),
      NameOverride = "Jason Voorhees (Part 7)",
      DescriptionOverride = "Jason Voorhees is a fictional character from the Friday the 13th series. He first appeared in Friday the 13th (1980) as the young son of camp cook-turned-killer Mrs. Voorhees, in which he was portrayed by Ari Lehman.",
      CategoryOverride = ModAPI.FindCategory("HR"),
      ThumbnailOverride = ModAPI.LoadSprite("thumb/jason5.png"),
      AfterSpawn = (Instance) =>
      {

          var skin = ModAPI.LoadTexture("ch/jason5.png");




          var person = Instance.GetComponent<PersonBehaviour>();


          person.SetBodyTextures(skin, null, null, 1);


          person.SetBruiseColor(100, 100, 100);
          person.SetSecondBruiseColor(154, 0, 7);
          person.SetThirdBruiseColor(207, 206, 120);
          person.SetRottenColour(202, 199, 104);
          person.SetBloodColour(108, 0, 4);
                foreach (var body in person.Limbs)
                {
                     body.BaseStrength *= 5f;
                     body.Health *= 4f;
                     body.BreakingThreshold *= 2f;
                }
             }
         }
     );
     //ben
     ModAPI.Register(
   new Modification()
   {
       OriginalItem = ModAPI.FindSpawnable("Human"),
       NameOverride = "Michael Myers",
       DescriptionOverride = "Michael Myers is a fictional character from the Halloween series of slasher films. He first appears in 1978 in John Carpenter's Halloween as a young boy who murders his elder sister, Judith Myers.",
       CategoryOverride = ModAPI.FindCategory("HR"),
       ThumbnailOverride = ModAPI.LoadSprite("thumb/mike.png"),
       AfterSpawn = (Instance) =>
       {

           var skin = ModAPI.LoadTexture("ch/mike.png");




           var person = Instance.GetComponent<PersonBehaviour>();


           person.SetBodyTextures(skin, null, null, 1);


           person.SetBruiseColor(100, 100, 100);
           person.SetSecondBruiseColor(154, 0, 7);
           person.SetThirdBruiseColor(207, 206, 120);
           person.SetRottenColour(202, 199, 104);
           person.SetBloodColour(108, 0, 4);
                 foreach (var body in person.Limbs)
                 {
                      body.BaseStrength *= 3f;
                      body.Health *= 2f;
                      body.BreakingThreshold *= 2f;
                 }
              }
          }
      );
      //ben
      ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "Freddy Krueger",
        DescriptionOverride = "Freddy Krueger is a fictional character in the A Nightmare on Elm Street film series. He first appeared in Wes Craven's A Nightmare on Elm Street (1984) as the spirit of a serial killer who uses a gloved hand with razors to kill his victims in their dreams, causing their deaths in the real world as well.",
        CategoryOverride = ModAPI.FindCategory("HR"),
        ThumbnailOverride = ModAPI.LoadSprite("thumb/fred.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("ch/fred.png");




            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(100, 100, 100);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
                  foreach (var body in person.Limbs)
                  {
                       body.BaseStrength *= 1f;
                       body.Health *= 3f;
                       body.BreakingThreshold *= 2f;
                  }
               }
           }
       );
     //ncr vet
     ModAPI.Register(
   new Modification()
   {
       OriginalItem = ModAPI.FindSpawnable("Human"),
       NameOverride = "Billy Loomis",
       DescriptionOverride = "Billy Loomis is the main antagonist of Scream and was a horror film fanatic, who pressured his best friend, Stu Macher, into helping commit a killing spree in Woodsboro out of anger for his parents' separation caused by Maureen Prescott.",
       CategoryOverride = ModAPI.FindCategory("HR"),
       ThumbnailOverride = ModAPI.LoadSprite("thumb/ghost.png"),
       AfterSpawn = (Instance) =>
       {
         var backpack = new GameObject("Backpack");
         backpack.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
         backpack.transform.localPosition = new Vector3(0f, 0f);
         backpack.transform.localScale = new Vector3(1f, 1f);
         var backpackSprite = backpack.AddComponent<SpriteRenderer>();
         backpackSprite.sprite = ModAPI.LoadSprite("ch/coat.png");
         backpack.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
           var skin = ModAPI.LoadTexture("ch/ghost.png");




           var person = Instance.GetComponent<PersonBehaviour>();


           person.SetBodyTextures(skin, null, null, 1);


           person.SetBruiseColor(100, 100, 100);
           person.SetSecondBruiseColor(154, 0, 7);
           person.SetThirdBruiseColor(207, 206, 120);
           person.SetRottenColour(202, 199, 104);
           person.SetBloodColour(108, 0, 4);
                 foreach (var body in person.Limbs)
                 {
                      body.BaseStrength *= 1f;
                      body.Health *= 1f;
                      body.BreakingThreshold *= 2f;
                 }
            }
       }
  );
  //ncr vet
  ModAPI.Register(
new Modification()
{
    OriginalItem = ModAPI.FindSpawnable("Human"),
    NameOverride = "Candy Man",
    DescriptionOverride = "Daniel Robitaille, colloquially known as Candyman, is a fictional character and the main antagonist of the Candyman film series. The character originated in Clive Barker's 1985 short story, The Forbidden. In the film series, he is depicted as an African-American man who was brutally murdered for a forbidden 19th-century interracial love affair; he returns as an urban legend, and kills anyone who summons him by saying his name five times in front of a mirror.",
    CategoryOverride = ModAPI.FindCategory("HR"),
    ThumbnailOverride = ModAPI.LoadSprite("thumb/cand.png"),
    AfterSpawn = (Instance) =>
    {
      var backpack = new GameObject("Backpack");
      backpack.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
      backpack.transform.localPosition = new Vector3(0f, 0f);
      backpack.transform.localScale = new Vector3(1f, 1f);
      var backpackSprite = backpack.AddComponent<SpriteRenderer>();
      backpackSprite.sprite = ModAPI.LoadSprite("ch/coat3.png");
      backpack.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
        var skin = ModAPI.LoadTexture("ch/cand.png");




        var person = Instance.GetComponent<PersonBehaviour>();


        person.SetBodyTextures(skin, null, null, 1);


        person.SetBruiseColor(100, 100, 100);
        person.SetSecondBruiseColor(154, 0, 7);
        person.SetThirdBruiseColor(207, 206, 120);
        person.SetRottenColour(202, 199, 104);
        person.SetBloodColour(108, 0, 4);
              foreach (var body in person.Limbs)
              {
                   body.BaseStrength *= 1f;
                   body.Health *= 1f;
                   body.BreakingThreshold *= 2f;
              }
         }
    }
);
      //ncr vet
      ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "Leatherface",
        DescriptionOverride = "Leatherface is a fictional character in The Texas Chainsaw Massacre film series created by Kim Henkel and Tobe Hooper. He first appears in The Texas Chain Saw Massacre as a cannibalistic and mentally unstable mass murderer who, alongside his family, kidnaps, kills, and cooks unsuspecting travellers who venture near their ranch in an unidentified part of Texas.",
        CategoryOverride = ModAPI.FindCategory("HR"),
        ThumbnailOverride = ModAPI.LoadSprite("thumb/face.png"),
        AfterSpawn = (Instance) =>
        {
          var backpack = new GameObject("Backpack");
          backpack.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
          backpack.transform.localPosition = new Vector3(0f, 0f);
          backpack.transform.localScale = new Vector3(1f, 1f);
          var backpackSprite = backpack.AddComponent<SpriteRenderer>();
          backpackSprite.sprite = ModAPI.LoadSprite("ch/coat2.png");
          backpack.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
            var skin = ModAPI.LoadTexture("ch/face.png");




            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(100, 100, 100);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
                  foreach (var body in person.Limbs)
                  {
                       body.BaseStrength *= 1f;
                       body.Health *= 1f;
                       body.BreakingThreshold *= 2f;
                  }
             }
        }
   );

                  //ncr helmet
               ModAPI.Register(
                         new Modification()
                         {
                             OriginalItem = ModAPI.FindSpawnable("Insulator"),
                             NameOverride = "Jason Voorhees Mask (Part 2)",
                             DescriptionOverride = "The mask worn by Jason Voorhees.",
                             CategoryOverride = ModAPI.FindCategory("HR"),
                             ThumbnailOverride = ModAPI.LoadSprite("thumb/bag.png", 1f),
                             AfterSpawn = (Instance) =>
                             {
                                 Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ar/bag.png", 1f);
                                 ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                                 armor.stabResistance = 1f;
                                 armor.armorPiece = "Head";
                                 armor.armorTier = 0;

                     Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                     Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                     Instance.FixColliders();
                             }
                         }
                     );
                     //ncr helmet
                  ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Rod"),
                                NameOverride = "Reverse Beartrap",
                                DescriptionOverride = "The saw trap seen used by Amanda in SAW II.",
                                CategoryOverride = ModAPI.FindCategory("HR"),
                                ThumbnailOverride = ModAPI.LoadSprite("thumb/bear.png", 1f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ar/bear.png", 1f);
                                    ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                                    armor.stabResistance = 10f;
                                    armor.armorPiece = "Head";
                                    armor.armorTier = 3;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                                }
                            }
                        );
                     //ncr helmet
                  ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Insulator"),
                                NameOverride = "Leatherface's Mask",
                                DescriptionOverride = "The mask worn by Leatherface.",
                                CategoryOverride = ModAPI.FindCategory("HR"),
                                ThumbnailOverride = ModAPI.LoadSprite("thumb/leather.png", 1f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ar/leather.png", 1f);
                                    ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                                    armor.stabResistance = 1f;
                                    armor.armorPiece = "Head";
                                    armor.armorTier = 0;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                                }
                            }
                        );
                        //ncr helmet
                     ModAPI.Register(
                               new Modification()
                               {
                                   OriginalItem = ModAPI.FindSpawnable("Insulator"),
                                   NameOverride = "Michael Myers' Mask",
                                   DescriptionOverride = "The mask worn by Michael Myers.",
                                   CategoryOverride = ModAPI.FindCategory("HR"),
                                   ThumbnailOverride = ModAPI.LoadSprite("thumb/sha.png", 1f),
                                   AfterSpawn = (Instance) =>
                                   {
                                       Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ar/sha.png", 1f);
                                       ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                                       armor.stabResistance = 1f;
                                       armor.armorPiece = "Head";
                                       armor.armorTier = 0;

                           Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                           Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                           Instance.FixColliders();
                                   }
                               }
                           );
                           //ncr helmet
                        ModAPI.Register(
                                  new Modification()
                                  {
                                      OriginalItem = ModAPI.FindSpawnable("Insulator"),
                                      NameOverride = "Ghostface Mask",
                                      DescriptionOverride = "The mask worn by Ghostface/Billy Loomis.",
                                      CategoryOverride = ModAPI.FindCategory("HR"),
                                      ThumbnailOverride = ModAPI.LoadSprite("thumb/pill.png", 1f),
                                      AfterSpawn = (Instance) =>
                                      {
                                          Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ar/pill.png", 1f);
                                          ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                                          armor.stabResistance = 1f;
                                          armor.armorPiece = "Head";
                                          armor.armorTier = 0;

                              Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                              Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                              Instance.FixColliders();
                                      }
                                  }
                              );
                     //ncr helmet
                  ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Stick"),
                                NameOverride = "Jason Voorhees Mask (Part 3/4)",
                                DescriptionOverride = "The mask worn by Jason Voorhees.",
                                CategoryOverride = ModAPI.FindCategory("HR"),
                                ThumbnailOverride = ModAPI.LoadSprite("thumb/mask.png", 1f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ar/mask.png", 1f);
                                    ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                                    armor.stabResistance = 1f;
                                    armor.armorPiece = "Head";
                                    armor.armorTier = 0;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                                }
                            }
                        );
                        //ncr helmet
                     ModAPI.Register(
                               new Modification()
                               {
                                   OriginalItem = ModAPI.FindSpawnable("Stick"),
                                   NameOverride = "Freddy's Hat",
                                   DescriptionOverride = "The hat worn by Freddy Krueger.",
                                   CategoryOverride = ModAPI.FindCategory("HR"),
                                   ThumbnailOverride = ModAPI.LoadSprite("thumb/hat.png", 1f),
                                   AfterSpawn = (Instance) =>
                                   {
                                       Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ar/hat.png", 1f);
                                       ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                                       armor.stabResistance = 1f;
                                       armor.armorPiece = "Head";
                                       armor.armorTier = 0;

                           Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                           Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                           Instance.FixColliders();
                                   }
                               }
                           );
                        //ncr helmet
                     ModAPI.Register(
                               new Modification()
                               {
                                   OriginalItem = ModAPI.FindSpawnable("Stick"),
                                   NameOverride = "Jason Voorhees Mask (Part 5)",
                                   DescriptionOverride = "The mask worn by Jason Voorhees.",
                                   CategoryOverride = ModAPI.FindCategory("HR"),
                                   ThumbnailOverride = ModAPI.LoadSprite("thumb/mask2.png", 1f),
                                   AfterSpawn = (Instance) =>
                                   {
                                       Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ar/mask2.png", 1f);
                                       ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                                       armor.stabResistance = 1f;
                                       armor.armorPiece = "Head";
                                       armor.armorTier = 0;

                           Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                           Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                           Instance.FixColliders();
                                   }
                               }
                           );
                           //ncr helmet
                        ModAPI.Register(
                                  new Modification()
                                  {
                                      OriginalItem = ModAPI.FindSpawnable("Stick"),
                                      NameOverride = "Jason Voorhees Mask (Part 6/7)",
                                      DescriptionOverride = "The mask worn by Jason Voorhees.",
                                      CategoryOverride = ModAPI.FindCategory("HR"),
                                      ThumbnailOverride = ModAPI.LoadSprite("thumb/mask3.png", 1f),
                                      AfterSpawn = (Instance) =>
                                      {
                                          Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ar/mask3.png", 1f);
                                          ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                                          armor.stabResistance = 1f;
                                          armor.armorPiece = "Head";
                                          armor.armorTier = 0;

                              Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                              Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                              Instance.FixColliders();
                                      }
                                  }
                              );

                                       //ripper
                               ModAPI.Register(
                                new Modification()
                                {
                                    OriginalItem = ModAPI.FindSpawnable("Knife"),
                                    NameOverride = "Kitchen Knife",
                                    DescriptionOverride = "Stab, stab, stab!",
                                    CategoryOverride = ModAPI.FindCategory("HR"),
                                    ThumbnailOverride = ModAPI.LoadSprite("thumb/knife.png", 22f),
                                    AfterSpawn = (Instance) =>
                                    {
                                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("we/kitchen.png", 42f);
                                        Instance.FixColliders();
                                    }
                                }
                               );
                               //ripper
                       ModAPI.Register(
                        new Modification()
                        {
                            OriginalItem = ModAPI.FindSpawnable("Knife"),
                            NameOverride = "Hook",
                            DescriptionOverride = "Stab, stab, stab!",
                            CategoryOverride = ModAPI.FindCategory("HR"),
                            ThumbnailOverride = ModAPI.LoadSprite("thumb/hook.png", 22f),
                            AfterSpawn = (Instance) =>
                            {
                                Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("we/hook.png", 22f);
                                Instance.FixColliders();
                            }
                        }
                       );
                               //ripper
                       ModAPI.Register(
                        new Modification()
                        {
                            OriginalItem = ModAPI.FindSpawnable("Knife"),
                            NameOverride = "Cleaver",
                            DescriptionOverride = "Stab, stab, stab!",
                            CategoryOverride = ModAPI.FindCategory("HR"),
                            ThumbnailOverride = ModAPI.LoadSprite("thumb/cleaver.png", 22f),
                            AfterSpawn = (Instance) =>
                            {
                                Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("we/cleaver.png", 81f);
                                Instance.FixColliders();
                            }
                        }
                       );
                       //ripper
               ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Knife"),
                    NameOverride = "Freddy's Glove",
                    DescriptionOverride = "Stab, stab, stab!",
                    CategoryOverride = ModAPI.FindCategory("HR"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumb/glove.png", 22f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("we/legarm.png", 0.9f);
                        Instance.FixColliders();
                    }
                }
               );
                       //ripper
               ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Knife"),
                    NameOverride = "Bowie Knife",
                    DescriptionOverride = "Stab, stab, stab!",
                    CategoryOverride = ModAPI.FindCategory("HR"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumb/bowie.png", 22f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("we/bowie.png", 52f);
                        Instance.FixColliders();
                    }
                }
               );
                       //ripper
               ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),
                    NameOverride = "Machete",
                    DescriptionOverride = "Stab, stab, stab!",
                    CategoryOverride = ModAPI.FindCategory("HR"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumb/machete.png", 22f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("we/machete.png", 19f);
                        Instance.FixColliders();
                    }
                }
               );
               //ripper
       ModAPI.Register(
        new Modification()
        {
            OriginalItem = ModAPI.FindSpawnable("Sword"),
            NameOverride = "Pitchfork",
            DescriptionOverride = "Stab, stab, stab!",
            CategoryOverride = ModAPI.FindCategory("HR"),
            ThumbnailOverride = ModAPI.LoadSprite("thumb/fork.png", 22f),
            AfterSpawn = (Instance) =>
            {
                Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("we/fork.png", 8f);
                Instance.FixColliders();
            }
        }
       );







        }
    }
}
